This service will be undergoing maintenance at 03:30 UTC, 2016-05-27. It is expected to last about 2 hours
Bug 512465 - firefox often takes near 100% CPU and has to be killed [NEEDINFO]
firefox often takes near 100% CPU and has to be killed
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: firefox (Show other bugs)
19
All Linux
high Severity high
: ---
: ---
Assigned To: Martin Stransky
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-07-17 15:40 EDT by Mary Ellen Foster
Modified: 2013-12-14 10:18 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-14 10:18:15 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
stransky: needinfo? (mefoster)


Attachments (Terms of Use)

  None (edit)
Description Mary Ellen Foster 2009-07-17 15:40:10 EDT
Description of problem:
Since the update to Firefox 3.5 final, it often seems that Firefox goes up to 95+% CPU. Then, when I try to close the window, I get the "this application is not closing cleanly" popup from kwin and I force-kill it. Usually, when I then restart firefox, it gives the "Well, this is embarrassing" site and is unable to restore my tabs.

Facebook seems to trigger this quite reliably for me, and gmail will usually also do it if I use it long enough, so I suspect it's somehow a Javascript-related problem.


Version-Release number of selected component (if applicable):
firefox-3.5-1.fc11.i586

How reproducible:
Every time, eventually

Steps to Reproduce:
1. Use Javascript-heavy pages like gmail or facebook
Comment 1 Matěj Cepl 2009-07-20 10:47:04 EDT
Thanks for the bug report.  We have reviewed the information you have provided above, and there is some additional information we require that will be helpful in our diagnosis of this issue.

First of all, could we get output of the command

	rpm -qa *xulrun* *firefox* *mozilla* *flash* nsplugin*

Please also install firefox-debuginfo (debuginfo-install is from
yum-utils package).

	debuginfo-install firefox

Then run firefox with a parameter -g. That will start firefox running inside of gdb debugger. Then wait until the 100% CPU happens. When it does, you should go back to the gdb and interrupt with Ctrl-C. Then please run

	(gdb) thread apply all backtrace

This produces usually many screens of the text. Copy all of them into a text editor and attach the file to the bug as an uncompressed attachment.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 2 manuelrrojas 2009-08-03 21:40:00 EDT
(In reply to comment #1)
> Thanks for the bug report.  We have reviewed the information you have provided
> above, and there is some additional information we require that will be helpful
> in our diagnosis of this issue.
> 
> First of all, could we get output of the command
> 
>  rpm -qa *xulrun* *firefox* *mozilla* *flash* nsplugin*
> 
> Please also install firefox-debuginfo (debuginfo-install is from
> yum-utils package).
> 
>  debuginfo-install firefox
> 
> Then run firefox with a parameter -g. That will start firefox running inside of
> gdb debugger. Then wait until the 100% CPU happens. When it does, you should go
> back to the gdb and interrupt with Ctrl-C. Then please run
> 
>  (gdb) thread apply all backtrace
> 
> This produces usually many screens of the text. Copy all of them into a text
> editor and attach the file to the bug as an uncompressed attachment.
> 
> We will review this issue again once you've had a chance to attach this
> information.
> 
> Thanks in advance.  


 Hello ... I have the same problem, especially by starting the facebook page ... I just click to enter and the system freezes ... need to be restarted even though the mouse responds (no keyboard)

first of all, could we get output of the command

 rpm -qa *xulrun* *firefox* *mozilla* *flash* nsplugin*


[root@fedora ~]#  rpm -qa *xulrun* *firefox* *mozilla* *flash* nsplugin*
mozilla-filesystem-1.9-4.fc11.x86_64
mozilla-vlc-1.0.0-1.fc11.x86_64
firefox-3.5.1-3.fc11.x86_64
xulrunner-python-1.9.1.1-1.fc11.x86_64
xulrunner-1.9.1.1-1.fc11.x86_64

Please also install firefox-debuginfo (debuginfo-install is from
yum-utils package).


debuginfo-install firefox

===================================================================================================================================
 Package                             Arch        Version                               Repository                             Size
===================================================================================================================================
Installing:
 GConf2-debuginfo                    x86_64      2.26.2-1.fc11                         updates-debuginfo                     599 k
..........


Install     17 Package(s)         
Update       0 Package(s)         
Remove       0 Package(s)         

Total download size: 232 M
Downloading Packages:
Setting up and reading Presto delta metadata
Processing delta metadata
Package(s) data still to download: 225 M.... hummm so much to debug and trace or not????


Then run firefox with a parameter -g. That will start firefox running inside of
gdb debugger. Then wait until the 100% CPU happens. When it does, you should go
back to the gdb and interrupt with Ctrl-C. Then please run

 (gdb) thread apply all backtrace

[myuser@fedora11x86_64 ~]$ firefox -g
MOZILLA_FIVE_HOME=/usr/lib64/firefox-3.5.1
  LD_LIBRARY_PATH=/usr/lib64/firefox-3.5.1:/usr/lib64/firefox-3.5.1/plugins:/usr/lib64/firefox-3.5.1
DISPLAY=:0
FONTCONFIG_PATH=/etc/fonts:/usr/lib64/firefox-3.5.1/res/Xft
DYLD_LIBRARY_PATH=/usr/lib64/firefox-3.5.1:/usr/lib64/firefox-3.5.1
     LIBRARY_PATH=/usr/lib64/firefox-3.5.1:/usr/lib64/firefox-3.5.1/components:/usr/lib64/firefox-3.5.1
       SHLIB_PATH=/usr/lib64/firefox-3.5.1:/usr/lib64/firefox-3.5.1
          LIBPATH=/usr/lib64/firefox-3.5.1:/usr/lib64/firefox-3.5.1
       ADDON_PATH=/usr/lib64/firefox-3.5.1
      MOZ_PROGRAM=/usr/lib64/firefox-3.5.1/firefox
      MOZ_TOOLKIT=
        moz_debug=1
     moz_debugger=
which: no ddd in (/usr/lib64/qt-3.3/bin:/usr/kerberos/bin:/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/sbin:/home/manuelricardo/bin)
/usr/bin/gdb /usr/lib64/firefox-3.5.1/firefox -x /tmp/mozargs.sslNVH
GNU gdb (GDB) Fedora (6.8.50.20090302-33.fc11)
Copyright (C) 2009 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.  Type "show copying"
and "show warranty" for details.
This GDB was configured as "x86_64-redhat-linux-gnu".
For bug reporting instructions, please see:
<http://www.gnu.org/software/gdb/bugs/>...
(gdb) 


but firefox not run... some thing is wrong???


best regards.
Comment 3 manuelrrojas 2009-08-03 22:33:17 EDT
hummm but if i run firefox in safe mode this problem does not present...


[mysuser@fedorax86_64 ~]$ firefox -safe-mode 
Registering '@mozilla.org/module-loader/python;1' (libpyloader.so)
Registering '@mozilla.org/network/protocol/about;1?what=python' (pyabout.py)
/usr/lib64/xulrunner-1.9.1/python/xpcom/__init__.py:54: DeprecationWarning: BaseException.message has been deprecated as of Python 2.6
  self.message = message


maybe can be a plugin????... hummm i'm going to try  any more "escenarios"
Comment 4 Bob Glickstein 2009-08-20 13:23:44 EDT
I have the same problem, and am going to try the FlashBlock plugin (as recommended at http://blog.taragana.com/index.php/archive/how-to-solve-100-cpu-hogging-by-firefox-in-2-steps/) to see if it helps.
Comment 5 Bug Zapper 2010-04-27 11:45:18 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Benjamín Valero Espinosa 2010-06-01 12:10:51 EDT
Thank you for your bug report.
We are sorry, but the Fedora Project no longer maintains this version of Fedora. Please upgrade to the latest version and reopen this bug against that version if this bug exists there.
As a result we are setting this bug to CLOSED:WONTFIX



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 7 Alick Zhao 2013-11-13 10:53:53 EST
I reopen this bug with firefox 25.0-3.fc19.x86_64. After the updating to 25.0, firefox almost always takes up 100% CPU after some time, and responds sluggishly. I have to kill it and reopen a new instance. By "some time" it is about 20 minutes or so.
Comment 8 Alick Zhao 2013-11-14 06:57:26 EST
Same issue with firefox 25.0-3.fc18.x86_64
Comment 9 Martin Stransky 2013-11-14 06:59:58 EST
Do you have any reproducer? Affected web page or so? Can you test firefox in safe mode? (https://fedoraproject.org/wiki/How_to_debug_Firefox_problems)
Comment 10 Alick Zhao 2013-11-15 04:49:14 EST
Firefox in safe mode produces no problem so far. So it might be related to hardware acceleration, some extensions or themes. I'll try test more.
Comment 11 Martin Stransky 2013-11-15 04:50:36 EST
I'd try the extensions/plugins first.
Comment 12 Alick Zhao 2013-12-14 10:18:15 EST
With half of my installed extensions disabled, I do not see the issue these days. So it should be problems with the extensions, not with firefox itself. So I decide to close the bug now.

Note You need to log in before you can comment on or make changes to this bug.